package com.ebei.screen.common.config.auth;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户权限信息
 *
 * @author Levi
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AuthUser {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 登录名
     */
    private String userAccount;

}
