package com.ebei.screen.common.config.auth;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 登录项配置
 */
@Data
@Component
@ConfigurationProperties(prefix = "cn.auth")
public class LoginProperties {
    /**
     * 不进行登录验证的url
     */
    private List<String> permitUrlList = new ArrayList<>();
}
