package com.ebei.screen.common.constants;

/**
 * 常量定义
 *
 * @author Levi
 */
public interface CommonConstants {

    /**
     * 标识为真
     **/
    Integer FLAG_IS_YES = 1;

    /**
     * 标识为假
     **/
    Integer FLAG_IS_NO = 0;

    String ORDER_PREFIX = "ProjectOrder";

    /**
     * eba项目排序key
     */
    String EBA = "eba";
    String EBA_TYPE = "1";
    String EBA_ORDER = EBA + ORDER_PREFIX;

    /**
     * 智慧工地项目排序key
     */
    String ZHIHUI = "zhihui";
    String ZHIHUI_TYPE = "2";
    String ZHIHUI_ORDER = ZHIHUI + ORDER_PREFIX;

    /**
     * 物业监控项目排序key
     */
    String WUYE = "wuye";
    String WUYE_TYPE = "3";
    String WUYE_ORDER = WUYE + ORDER_PREFIX;

    /**
     * 车场大屏项目排序key
     */
    String PARK = "park";
    String PARK_TYPE = "4";
    String PARK_ORDER = PARK + ORDER_PREFIX;
    String PARK_SPLIT = PARK + "Split";

    /**
     * 今日车场流量分析 1入场 2出场 3异常
     */
    Integer IN_TYPE = 1;
    Integer OUT_TYPE = 2;
    Integer EXCEPTION_TYPE = 3;

    /**
     * 设计到异常的服务信息
     */
    String SERVICE_IN = "1";
    String SERVICE_OUT = "2";
    String SERVICE_INFO = "3";


}
