package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 能耗设备主机编号
 *
 * @author Levi
 */

@Getter
@AllArgsConstructor
public enum DmonDeviceCode {
    ONE("197069285997155997", "主机1"),
    TWO("197069285997155999", "主机2"),
    THREE("197069285859792435", "主机3"),
    FOUR("197069285991913104", "主机4"),
    FIVE("197069285991913106", "主机5"),
    SIX("197069285997156000", "主机6"),
    ALL("197069285992961688", "主机总电能");

    private String code;
    private String name;

    public static String getNameCode(String code) {
        for (DmonDeviceCode value : DmonDeviceCode.values()) {
            if (value.getCode().equals(code)) {
                return value.getName();
            }
        }
        return null;
    }

}
