package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * EBA实时推送消息码
 *
 * @author Levi
 */

@Getter
@AllArgsConstructor
public enum EbaMessageCode {
    A("1000", "监测对象告警"),
    B("1001", "房间问题反馈"),
    C("1002", "监测对象信息变更信息"),
    D("1003", "消防告警");

    private String code;
    private String type;

    public static String getTypeByCode(String code) {
        for (EbaMessageCode value : EbaMessageCode.values()) {
            if (value.getCode().equals(code)) {
                return value.getType();
            }
        }
        return null;
    }

}
