package com.ebei.screen.common.constants;

/**
 * EBA接口信息
 *
 * @author Levi.u
 * @date 2021/1/13 20:52
 */
public interface EbaSystemConstants {

    /**
     * 企业ID
     */
    String cliendId = "b53b5d0d-bbf0-4d4b-806b-a47e6ff31a30";
    /**
     * 企业密钥
     */
    String clientSecret = "yftrWNnjzt4uaCeVJuYr/A==";
    /**
     * 请求地址头
     */
    String baseUrl = "http://openapi.eegrid.com/api/open/";
    /**
     * 01、获取token
     */
    String getTokenInfo = baseUrl + "token/getInfo";
    /**
     * 02、获取当前用户名下项目列表
     */
    String getProjectList = baseUrl + "project/getList";
    /**
     * 03、获取当前项目id
     */
    String getMobjectList = baseUrl + "mobject/getList";
    /**
     * 04、根据项目id获取所有iot信息
     */
    String getIotList = baseUrl + "iot/getList";
    /**
     * 05、获取所有设备信息(deviceSys)
     */
    String getDeviceSystemList = baseUrl + "devicesystem/getList";
    /**
     * 06、获取所有设备类型信息(deviceType)
     */
    String getDeviceTypeList = baseUrl + "devicetype/getList";
    /**
     * 07、获取所有设备参数信息(deviceParam)
     */
    String getDeviceParamList = baseUrl + "deviceparam/getList";
    /**
     * 08、获取所有设备告警类型信息(alarmType)
     */
    String getDeviceAlarmTypeList = baseUrl + "devicealarmtype/getList";
    /**
     * 09、获取所有消防设备类型信息(fireDeviceType)
     */
    String getFireDeviceTypeList = baseUrl + "firedevicetype/getList";
    /**
     * 10、根据deviceId和deviceParamId获取实时device信息
     */
    String getMobjectRealDataList = baseUrl + "mobject/getRealData";
    /**
     * 11、根据projectId获取所有实时device信息
     */
    String getMobjectRealDataByProjectIdList = baseUrl + "mobject/getRealDataByProjectId";
    /**
     * 12、根据deviceId和deviceParamId获取某段时间内设备能耗数据
     */
    String getMobjectEnergyList = baseUrl + "mobject/getEnergy";
    /**
     * 13、根据项目id获取实时未恢复告警
     */
    String getMobjectRealTimeAlarmList = baseUrl + "mobject/realtimeAlarm/getList";
    /**
     * 14、根据项目id获取历史已恢复告警
     */
    String getMobjectHisAlarmPageList = baseUrl + "mobject/hisAlarm/getPageList";
    /**
     * 15、根据iotId获取摄像头地址
     */
    String getIotVideoUrl = baseUrl + "iot/getVideoUrl";
    /**
     * 16、根据项目id获取iot实时告警列表
     */
    String getIotAlarmRealTimeList = baseUrl + "iot/alarmrealtime";
}
