package com.ebei.screen.common.constants;

/**
 * EBA接口信息
 *
 * @author Levi.u
 * @date 2021/1/15 11:42
 */
public interface EnergyPlatformConstants {

    /**
     * F+Gateway客户端账号
     */
    String username = "dengcl";

    /**
     * F+Gateway客户端密码
     */
    String password = "api123456";

    /**
     * 开发者账号
     */
    String client_id = "fcs2";

    /**
     * 开发者密码
     */
    String client_secret = "f9d8941667ea19b6b27eb706636580a8";

    /**
     * 未知参数
     */
    String scope = "openid offline_access fbox email profile";

    /**
     * 未知参数
     */
    String grant_type = "password";
    String grant_type_two = "refresh_token";

    /**
     * 登录服务器
     */
    String idServer = "http://account.link-cloud.com/";

    /**
     * 主应用服务器
     */
    String appServer = "http://app.link-cloud.com/";

    /**
     * 历史记录服务器
     */
    String hsServer = "http://hs.link-cloud.com/api/";

    /**
     * 通讯服务器(boxRegs下box下的cs中的apiBaseUrl)
     */
    String apiBaseUrl = "http://cs.link-cloud.com/api/";

    /**
     * signalR服务(boxRegs下box下的cs中的signalRUrl)
     */
    String signalRUrl = "http://cs.link-cloud.com/push/";

    /**
     * 1、用户登录
     */
    String coreConnectToken = idServer + "core/connect/token";

    /**
     * 2、获取当前用户名下盒子列表
     */
    String apiClientBoxGrouped = appServer + "api/client/box/grouped";

    /**
     * 3、根据boxNo获取单个盒子 [boxNo:盒子编码]
     */
    String apiClientBoxRegBoxNo = appServer + "api/client/box/reg/boxno/{0}";

    /**
     * 4、根据boxId获取监控点分组 [boxId:盒子ID]
     */
    String v2BoxDmonGroups = apiBaseUrl + "v2/box/{0}/dmon/groups";

    /**
     * 5、根据boxNo获取监控点分组 [boxNo:盒子编码]
     */
    String V2BoxDmonGroupsBoxNo = apiBaseUrl + "v2/box/dmon/groups?boxNo={0}";

    /**
     * 6、根据boxId和分组id获取监控点 [boxId:盒子ID,groupId:监控点分组ID]
     */
    String v2BoxDmonGroupDmon = apiBaseUrl + "v2/box/{0}/dmongroup/{1}/dmon";

    /**
     * 7、根据boxId和监控点id集合获取部分监控点 [boxId:盒子ID]
     */
    String v2BoxDmonGet = apiBaseUrl + "v2/box/{0}/dmon/get";

    /**
     * 8、根据boxNo和监控点id集合获取部分监控点 [boxNo:盒子编码]
     */
    String v2BoxDmonGetBoxNo = apiBaseUrl + "v2/box/dmon/get?boxNo={0}";

    /**
     * 9、根据boxId和监控点ids获取监控点值[boxId:盒子ID]
     */
    String v2BoxDmonValueGet = apiBaseUrl + "v2/box/{0}/dmon/value/get";

    /**
     * 10、根据boxId获取所有监控点列表
     */
    String v2BoxDmonGrouped = apiBaseUrl + "v2/box/{0}/dmon/grouped";

}
