package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 车场入场或出场
 *
 * @author Levi
 */

@Getter
@AllArgsConstructor
public enum ParkType {
    IN("parkIn", "inTime", "inCarPhoto", 1),
    OUT("parkOut", "outTime", "outCarPhoto", 2),
    EXCEPTION("parkException", "homra", "", 3);

    private String code;
    private String sort;
    private String image;
    private Integer no;

    public static ParkType getTypeByNo(Integer no) {
        for (ParkType type : ParkType.values()) {
            if (type.getNo().equals(no)) {
                return type;
            }
        }
        return null;
    }
}
