package com.ebei.screen.common.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 统一分页响应
 *
 * @author Levi
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PageBean<T> {

    private Long total;

    private List<T> row;
}
