package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 异常趋势统计
 *
 * @author Levi.u
 * @date 2021/3/23 16:12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class ExceptionTrendReq extends BasePageBean implements Serializable {


    private static final long serialVersionUID = 2515572526863551436L;

    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;

    @ApiModelProperty(value = "查询的类型")
    private String code;

    @ApiModelProperty(value = "当前日期 yyyy-MM-dd")
    private String date;
}
