package com.ebei.screen.modules.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 入场车辆停车时间段
 *
 * @author Levi.u
 * @date 2021/3/24 11:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class InCarAnalysisReq implements Serializable {

    private static final long serialVersionUID = 7108778555407509105L;
    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;

    @ApiModelProperty(value = "当前日期 yyyy-MM-dd")
    private String date;
}
