package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 关键指标统计
 *
 * @author Levi.u
 * @date 2021/3/24 15:10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class KeyIndexPageReq extends BasePageBean implements Serializable {


    private static final long serialVersionUID = 4868017539535074353L;
    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;
}
