package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 火警故障入参
 *
 * @author Levi.u
 * @date 2021/3/9 15:12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class RealTimeReq extends BasePageBean implements Serializable {
    private static final long serialVersionUID = 7287130976470947789L;

    @ApiModelProperty(value = "项目id 查询全部传空")
    private String projectId;

    @ApiModelProperty(value = "0当日 1当月")
    private Integer dateType;

    @ApiModelProperty(value = "0火警 1故障")
    private Integer type;
}
