package com.ebei.screen.service;

import com.ebei.screen.common.response.ResponseBean;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: CameraDeviceService
 * @Description: 监控设备service
 * @Author: ch
 * @Date: 2021-01-20 9:39
 */
public interface CameraDeviceService {

    /*
     * 获取萤石token
     */
    String getYsAccessToken() throws Exception;

    /*
     * 异步同步所有萤石设备
     */
    void syncAllYsDevice() throws Exception;

    /**
     * 分页查询萤石设备
     *
     * @param pageStart
     * @param pageSize
     * @param name
     * @param deviceSerial
     * @param status
     * @return
     */
    ResponseBean queryProjectPage(Integer pageStart, Integer pageSize, String name, String deviceSerial, Integer status);

}
