package com.ebei.screen.common.util;

import com.ebei.screen.service.EbaSystemService;
import com.ebei.screen.service.EnergyPlatformService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * 初始化
 *
 * @author Levi.u
 * @date 2021/3/3 10:45
 */
@Slf4j
@Component
public class MyRunner implements ApplicationRunner {

    @Autowired
    private EnergyPlatformService energyPlatformService;

    @Autowired
    private EbaSystemService ebaSystemService;

    @Override
    public void run(ApplicationArguments args) {
        // energyPlatformService.initData();
        ebaSystemService.initData();
        ParkUtils.getLoginToken();
        log.info("=============全部初始化完毕=============");
    }
}
