package com.ebei.screen.modules.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: MachineRoom
 * @Description:
 * @Author: ch
 * @Date: 2021-01-19 13:57
 */
@Data
@Document
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "VideoScreenListVo", description = "视频大屏首页使用")
@AllArgsConstructor
public class VideoScreenListVo {

    @ApiModelProperty("萤石项目list")
    private List<Project> ysList;
    @ApiModelProperty("广联达项目list")
    private List<Project> gldList;

}
