package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 不同收费方式停车统计
 *
 * @author Levi.u
 * @date 2021/3/24 20:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class DifferentPayPageReq extends BasePageBean implements Serializable {


    private static final long serialVersionUID = -8878893666787472282L;

    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;

    @ApiModelProperty(value = "支付方式编号")
    private String payType;

    @ApiModelProperty(value = "当前日期 yyyy-MM-dd")
    private String date;
}
