package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 入场车辆停车时间段查询某一时间点详情
 *
 * @author Levi.u
 * @date 2021/3/24 13:57
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class InCarAnalysisPageReq extends BasePageBean implements Serializable {

    private static final long serialVersionUID = -1020256644702683878L;

    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;

    @ApiModelProperty(value = "当前日期 yyyy-MM-dd")
    private String date;

    @ApiModelProperty(value = "日期ID")
    private Integer dateId;
}
