package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 今日停车时长统计
 *
 * @author Levi.u
 * @date 2021/3/24 15:10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class ParkHoursPageReq extends BasePageBean implements Serializable {

    private static final long serialVersionUID = 640671874605956718L;

    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;

    @ApiModelProperty(value = "要查询的时间：1、3、6、9、12")
    private String hour;

    @ApiModelProperty(value = "当前日期 yyyy-MM-dd")
    private String date;

}
