package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 分页查询入参
 *
 * @author Levi.u
 * @date 2021/3/16 16:11
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class QueryPageReq extends BasePageBean implements Serializable {

    private static final long serialVersionUID = -1850628854846135511L;

    @ApiModelProperty(value = "项目类型")
    private String type;

}
