package com.ebei.screen.service;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.modules.po.MachineRoom;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: MachineRoomService
 * @Description:
 * @Author: ch
 * @Date: 2021-01-20 14:07
 */

public interface MachineRoomService {
    /**
     * 保存机房
     *
     * @param machineRoom
     */
    void saveMachineRoom(MachineRoom machineRoom);

    /**
     * 修改机房
     *
     * @param machineRoom
     */
    void updateMachineRoom(MachineRoom machineRoom);

    /**
     * 分页查询机房
     *
     * @param page
     * @param pageSize
     * @param name
     * @param projectId
     * @return
     */
    ResponseBean queryMachineRoom(int page, Integer pageSize, String name, String projectId);

    ResponseBean videoScreenList();

}
